Bug 1152245

Summary: Review Request: jsr292-mock - Mock versions of java.lang.invoke
Product: [Fedora] Fedora Reporter: Mo Morsi <mmorsi>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: didiksupriadi41, msrb, otto.liljalaakso, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-08-10 04:38:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449, 1152249    

Description Mo Morsi 2014-10-13 17:21:54 UTC
Spec URL: https://mmorsi.fedorapeople.org/staging/jsr292-mock.spec
SRPM URL: https://mmorsi.fedorapeople.org/staging/jsr292-mock-1.1-1.fc20.src.rpm
Description: 
A mock of java.lang.invoke for JRuby

Fedora Account System Username: mmorsi

Comment 1 Michal Srb 2014-10-15 06:30:58 UTC
Similarly as in unsafe-mock review. This package doesn't make much sense in Fedora, as we have Java 8 (f21+). It's only a build-time dependency of JRuby and it can be safely omitted when building in Fedora. So I would recommend simply removing this dependency from JRuby's pom.xml file. But if you really want to have this package in Fedora, I can continue with the review. Unlike unsafe-mock, this package doesn't bundle anything.

Comment 2 Package Review 2020-07-10 00:50:50 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time, but it seems
that the review is still being working out by you. If this is right, please
respond to this comment clearing the NEEDINFO flag and try to reach out the
submitter to proceed with the review.

If you're not interested in reviewing this ticket anymore, please clear the
fedora-review flag and reset the assignee, so that a new reviewer can take
this ticket.

Without any reply, this request will shortly be resetted.

Comment 3 Package Review 2020-11-13 00:46:21 UTC
This is an automatic action taken by review-stats script.

The ticket reviewer failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we reset the status and the assignee of this ticket.

Comment 4 Didik Supriadi 2021-07-27 04:32:49 UTC
Seems like the submitter account is disabled (?)
I will be closing this package review if there is no response in a week.

Comment 5 Otto Liljalaakso 2021-08-10 04:38:10 UTC
Closing this review request since the submitter account is disabled.